Skip to content
POST/{organizationId}/finance/receipts/pushAllReminderLevels

Push and override reminder levels for receipts

Pushes receipts reminder level for receipts and overrides the reminder due date to the current date

Required permissions:

  • mandate.read

  • receipt.edit

Path Parameters

organizationIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional
hasReceiptbooleanoptional

A stringified json object representing a property filter

reminderTypestringrequired

Options:

remindersdonationReminders

Authentication: X-API-Key

Request

POST/{organizationId}/finance/receipts/pushAllReminderLevels
curl --request POST 'https://cloud.campai.com/api/{organizationId}/finance/receipts/pushAllReminderLevels' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "selection": {
    "excludeIds": [
      "string"
    ],
    "ids": [
      "string"
    ]
  },
  "reminderType": "reminders"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countnumberrequired

Response

200
{
  "count": 1
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}